Subject: Re: [PATCH v4 03/21] ci/lib.sh: encapsulate Travis-specific things

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jan 2019 15:05:03 -0800

Johannes Schindelin <[email-masked]> writes:

> The big difference is that gettext is needed to build Git and run its test
> suite. While gnu-time is only needed if you want to run the perf tests,
> which is not a part of the CI configuration we have, neither Travis nor
> Azure Pipelines.
>
> So as long as we do not run the perf tests as part of the CI runs, that
> optional dependency should *not* be included in *CI_TYPE* specific
> sections of the code.

Ah, in that case, I do not think it makes much sense to even keep
that comment.  As you said, ci/ is about running tests under CI
platform, and the scripts are not designed to be run manually with
tweaks, and none of our CI integration runs the perf thing, there is
no point to even mention it.